gr::satellites::decode_ra_code Class Reference

<+description of block+> More...

`#include <decode_ra_code.h>`

Inheritance diagram for gr::satellites::decode_ra_code:

## Public Types

typedef std::shared_ptr< decode_ra_code > | sptr

## Static Public Member Functions

static sptr | make (int size)
| Return a shared_ptr to a new instance of satellites::decode_ra_code.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<decode_ra_code> gr::satellites::decode_ra_code::sptr

## Member Function Documentation

## make()

static sptr gr::satellites::decode_ra_code::make | ( | int | size | ) |

static

Return a shared_ptr to a new instance of satellites::decode_ra_code.

To avoid accidental use of raw pointers, satellites::decode_ra_code's constructor is in a private implementation class. satellites::decode_ra_code::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- decode_ra_code.h